package com.zipcodewilmington.froilansfarm.produce;

public enum CropType {
    CORN_STALK(Food.Type.EARCORN),
    TOMATO_PLANT(Food.Type.TOMATO);

    private final Food.Type edibleType;

    CropType(Food.Type edibleType) {
        this.edibleType = edibleType;
    }

    public Food.Type getEdibleType(){
        return edibleType;
    }

    public String getPrettyName(){
        return name().toLowerCase().replaceAll("_", " ");
    }
}
