package com.zipcodewilmington.froilansfarm.produce;

import com.zipcodewilmington.froilansfarm.Edible;

public class Food implements Edible {
    private boolean eaten;

    private Type type;

    public Food(Type type) {
        this.type = type;
    }

    public String getName() {
        return type.name().toLowerCase();
    }

    @Override
    public boolean isEaten() {
        return eaten;
    }

    @Override
    public void eat() {
        eaten = true;
    }

    public enum Type{
        EARCORN, TOMATO, EGG, GRAIN;
    }
}
