package com.zipcodewilmington.froilansfarm.produce;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class FoodTest {
    private Food food;

    @Before
    public void setup(){
        food = new Food(Food.Type.EARCORN);
    }

    @Test
    public void testEat(){
        Assert.assertFalse(food.isEaten());

        food.eat();
        Assert.assertTrue(food.isEaten());
    }

    @Test
    public void testGetName(){
        Assert.assertEquals("earcorn", food.getName());
    }
}
