package com.zipcodewilmington.froilansfarm.task;

import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Skill;

public abstract class Task {
    protected final Skill skill;
    protected boolean completed;
    protected Farm farm;

    public Task(Farm farm, Skill skill) {
        this.skill = skill;
        this.farm = farm;
    }

    public Skill getSkill(){
        return this.skill;
    }

    public abstract void work();

    public abstract String getStatus();
}
