package com.zipcodewilmington.froilansfarm.vehicle;


public class FarmVehicle implements Vehicle {
    private Type type;

    public FarmVehicle(Type type) {
        this.type = type;
    }

    public Type getType(){
        return type;
    }

    public String getName(){
        return type.name().replaceAll("_", " ").toLowerCase();
    }

    public String makeNoise() {
        return "engine noise";
    }

    public enum Type {
        TRACTOR, CROP_DUSTER;
    }
}
