package com.zipcodewilmington.froilansfarm.produce;

import com.zipcodewilmington.froilansfarm.Edible;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.List;

public class CropRowTest {
    private CropRow cropRow;

    @Before
    public void setup(){
        cropRow = new CropRow(9);
    }

    @Test
    public void testHarvestCorn(){
        Crop corn = new Crop(CropType.CORN_STALK);
        Crop tomato = new Crop(CropType.TOMATO_PLANT);

        cropRow.add(corn);
        cropRow.add(tomato);

        List<Edible> food = cropRow.harvest();

        Assert.assertEquals(2, food.size());
    }
}
