package com.zipcodewilmington.froilansfarm.vehicle;

import org.junit.Assert;
import org.junit.Test;

public class FarmVehicleTest {

    @Test
    public void testMakeNoise(){
        FarmVehicle vehicle = new FarmVehicle(FarmVehicle.Type.TRACTOR);
        Assert.assertEquals("engine noise", vehicle.makeNoise());
    }

    @Test
    public void getType(){
        FarmVehicle vehicle = new FarmVehicle(FarmVehicle.Type.TRACTOR);
        FarmVehicle.Type actualType = vehicle.getType();

        Assert.assertEquals(FarmVehicle.Type.TRACTOR, actualType);
    }

    @Test
    public void testGetName_forTractor(){
        FarmVehicle vehicle = new FarmVehicle(FarmVehicle.Type.TRACTOR);
        Assert.assertEquals("tractor", vehicle.getName());
    }

    @Test
    public void testGetName_forCropDuster(){
        FarmVehicle vehicle = new FarmVehicle(FarmVehicle.Type.CROP_DUSTER);
        Assert.assertEquals("crop duster", vehicle.getName());
    }
}
